## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenClassImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassifierImpl
                          org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassImpl

All Implemented Interfaces:
  GenBase, GenClass, GenClassifier, Notifier, EObject, InternalEObject

    public class GenClassImpl

extends GenClassifierImpl
implements GenClass

An implementation of the model object 'Gen Class'.

The following features are implemented:

- `Provider`
- `Image`
- `Dynamic`
- `Ecore Class`
- `Gen Features`
- `Gen Operations`
- `Label Feature`

Nested Class Summary
`class` `GenClassImpl.CollidingGenOperationFilter`

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected boolean` `dynamic` The cached value of the '`Dynamic`' attribute
`protected static boolean` `DYNAMIC_EDEFAULT` The default value of the '`Dynamic`' attribute
`protected EClass` `ecoreClass` The cached value of the '`Ecore Class`' reference
`protected EList<GenFeature>` `genFeatures` The cached value of the '`Gen Features`' containment reference list
`protected EList<GenOperation>` `genOperations` The cached value of the '`Gen Operations`' containment reference list
`protected boolean` `image` The cached value of the '`Image`' attribute
`protected static boolean` `IMAGE_EDEFAULT` The default value of the '`Image`' attribute
`static java.util.List<java.lang.String>` `INTRINSIC_CONSTRAINTS`
`protected GenFeature` `labelFeature` The cached value of the '`Label Feature`' reference
`protected GenProviderKind` `provider` The cached value of the '`Provider`' attribute
`protected static GenProviderKind` `PROVIDER_EDEFAULT` The default value of the '`Provider`' attribute

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassifierImpl
`genTypeParameters`

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, ecoreGenPackage, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI, xmlNamespaceGenPackage, xmlTypeGenPackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenClassImpl()`

Method Summary
`EClass` `basicGetEcoreClass()`
`GenFeature` `basicGetLabelFeature()`
`boolean` `canGenerate()`
`boolean` `canGenerateEdit()`
`boolean` `canGenerateEditor()`
`boolean` `canGenerateTests()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`void` `generate(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEdit(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateTests(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`java.lang.String` `getAbstractFlag()`
`java.util.List<GenClass>` `getAllBaseGenClasses()`
`java.util.List<GenFeature>` `getAllChildrenFeatures()`
`java.util.List<GenFeature>` `getAllCreateChildFeatures()`
`java.util.List<GenFeature>` `getAllCreateChildFeaturesIncludingDelegation()`
`java.util.List<java.lang.String>` `getAllEVirtualIndexBitFields(java.util.List<java.lang.String> allEVirtualIndexBitFields)`
`java.util.List<java.lang.String>` `getAllGenConstraints()`
`java.util.List<GenFeature>` `getAllGenFeatures()`
`java.util.List<GenOperation>` `getAllGenOperations()`
`GenClass` `getBaseGenClass()` This returns the GenClass for the first immediate supertype.
`java.util.List<GenClass>` `getBaseGenClasses()`
`java.lang.String` `getCastFromEObject()`
`java.util.List<GenClass>` `getChildrenClasses(GenFeature genFeature)`
`java.util.List<GenFeature>` `getChildrenFeatures()`
`java.lang.String` `getClassExtends()`
`GenClass` `getClassExtendsGenClass()` This walks up the chain of GenClasses defined by getBaseGenClass() and returns the first that does not represent an abstract class or an interface; that is, the instantiable class that the implementation class should extended.
`java.lang.String` `getClassImplements()`
`java.util.List<java.lang.String>` `getClassImplementsList()`
`java.lang.String` `getClassName()`
`java.lang.String` `getClassTypeArguments()`
`GenClassifier` `getConstraintDelegate(java.lang.String constraint)`
`GenClassifier` `getConstraintImplementor(java.lang.String constraint)`
`java.util.List<GenFeature>` `getContentNotifyFeatures()`
`java.util.List<GenFeature>` `getCreateChildFeatures()`
`java.lang.String` `getCreateChildIconFileName(GenFeature feature, GenClass childClass)`
`java.util.List<GenClass>` `getCrossPackageChildrenClasses(GenFeature genFeature)`
`java.util.List<GenFeature>` `getCrossPackageCreateChildFeatures()`
`java.util.List<GenFeature>` `getDeclaredFieldGenFeatures()`
`java.util.List<GenFeature>` `getDeclaredGenFeatures()`
`java.util.List<GenOperation>` `getDeclaredGenOperations()`
`java.util.List<GenFeature>` `getEBasicRemoveFromContainerGenFeatures()`
`EClass` `getEcoreClass()`
`EClassifier` `getEcoreClassifier()`
`java.util.List<GenFeature>` `getEGetGenFeatures()`
`java.util.List<GenFeature>` `getEInverseAddGenFeatures()`
`java.util.List<GenFeature>` `getEInverseRemoveGenFeatures()`
`java.util.List<GenFeature>` `getEIsSetGenFeatures()`
`int` `getESetFlagIndex(GenFeature genFeature)`
`java.lang.String` `getESetFlagsField(GenFeature genFeature)`
`java.util.List<GenFeature>` `getESetGenFeatures()`
`java.util.List<GenFeature>` `getEUnsetGenFeatures()`
`java.util.List<java.lang.String>` `getEVirtualIndexBitFields(java.util.List<java.lang.String> eVirtualIndexBitFields)`
`java.lang.String` `getEVirtualValuesField()`
`java.util.List<GenClass>` `getExtendedGenClasses()`
`java.util.List<GenFeature>` `getExtendedGenFeatures()`
`java.util.List<GenOperation>` `getExtendedGenOperations()`
`int` `getFeatureCount()`
`java.lang.String` `getFeatureCountID()`
`java.lang.String` `getFeatureCountValue()`
`java.lang.String` `getFeatureID(GenFeature genFeature)`
`java.lang.String` `getFeatureValue(GenFeature genFeature)`
`java.util.List<GenFeature>` `getFlagGenFeatures()`
`java.util.List<GenFeature>` `getFlagGenFeatures(java.lang.String staticDefaultValue)`
`int` `getFlagIndex(GenFeature genFeature)`
`java.lang.String` `getFlagsField(GenFeature genFeature)`
`java.util.List<java.lang.String>` `getGenConstraints()`
`java.lang.String` `getGeneratedInstanceClassFlag()`
`EList<GenFeature>` `getGenFeatures()`
`EList<GenOperation>` `getGenOperations()`
`java.util.List<GenClass>` `getImplementedGenClasses()`
`java.util.List<GenFeature>` `getImplementedGenFeatures()`
`java.util.List<GenOperation>` `getImplementedGenOperations()`
`GenModel` `getImplementingGenModel(GenFeature genFeature)`
`java.lang.String` `getImportedClassName()`
`java.lang.String` `getImportedInstanceClassName()`
`java.lang.String` `getImportedInterfaceName()`
`java.lang.String` `getImportedMetaType()`
`java.lang.String` `getImportedProviderClassName()`
`java.lang.String` `getImportedTestCaseClassName()`
`java.lang.String` `getImportedWildcardInstanceClassName()`
`java.util.List<GenFeature>` `getInheritedGenFeatures()`
`java.lang.String` `getInterfaceExtends()`
`java.util.List<java.lang.String>` `getInterfaceExtendsList()`
`java.lang.String` `getInterfaceFlag()`
`java.lang.String` `getInterfaceName()` This should only be called when there is actually an interface being generated (i.e. when, for certain, this is not an external interface).
`java.lang.String` `getInterfaceTypeArguments()`
`java.lang.String` `getInterfaceWildTypeArguments()`
`protected java.lang.String` `getInternalQualifiedInterfaceName()`
`protected java.lang.String` `getInternalQualifiedInterfaceName(boolean includeTemplateArguments)`
`GenOperation` `getInvariantOperation(java.lang.String constraint)`
`java.util.List<GenOperation>` `getInvariantOperations()`
`java.lang.String` `getItemIconFileName()`
`java.lang.String` `getItemProviderAdapterFactoryClassName()`
`java.util.List<GenFeature>` `getLabelAndContentNotifyFeatures()`
`GenFeature` `getLabelFeature()` Returns the value of the 'Label Feature' reference
`java.util.List<GenFeature>` `getLabelFeatureCandidates()`
`GenFeature` `getLabelFeatureGen()`
`java.util.List<GenFeature>` `getLabelNotifyFeatures()`
`java.lang.String` `getListConstructor(GenFeature genFeature)`
`java.lang.String` `getLocalFeatureIndex(GenFeature genFeature)`
`GenFeature` `getMapEntryKeyFeature()`
`GenFeature` `getMapEntryValueFeature()`
`GenFeature` `getMixedGenFeature()`
`java.util.List<GenClass>` `getMixinGenClasses()`
`java.util.List<GenFeature>` `getMixinGenFeatures()`
`java.util.List<GenOperation>` `getMixinGenOperations()`
`java.lang.String` `getModelInfo()`
`protected int` `getNonPrimitiveFeatureCount()`
`java.util.List<GenFeature>` `getNotifyFeatures()`
`java.lang.String` `getOffsetCorrectionField(GenFeature genFeature)`
`java.lang.String` `getOperationID(GenOperation genOperation)`
`java.util.List<GenFeature>` `getPropertyFeatures()`
`GenProviderKind` `getProvider()`
`java.lang.String` `getProviderBaseClassName()`
`java.lang.String` `getProviderClassName()`
`protected GenClass` `getProviderExtendsGenClass()`
`java.util.List<GenClass>` `getProviderImplementedGenClasses()`
`protected java.util.List<GenFeature>` `getProviderImplementedGenFeatures()`
`protected java.util.List<java.lang.String>` `getQualifiedClassImplementsList()`
`java.lang.String` `getQualifiedClassName()`
`java.lang.String` `getQualifiedFeatureCountID()`
`java.lang.String` `getQualifiedFeatureID(GenFeature genFeature)`
`java.util.List<java.lang.String>` `getQualifiedInterfaceExtendsList()`
`java.lang.String` `getQualifiedInterfaceName()`
`java.lang.String` `getQualifiedProviderClassName()`
`java.lang.String` `getQualifiedTestCaseClassName()`
`java.lang.String` `getRawImportedInstanceClassName()`
`java.lang.String` `getRawImportedInterfaceName()`
`java.lang.String` `getRawInstanceClassName()`
`java.util.List<GenFeature>` `getSharedClassCreateChildFeatures()`
`java.util.List<GenClass>` `getSwitchGenClasses()` Like getAllBaseGenClasses(), this returns the GenClasses for all of the supertypes, but the result is ordered by a breadth-first search, making it appropriate for use in the switch class.
`java.lang.String` `getTestCaseClassName()`
`java.util.List<GenFeature>` `getToStringGenFeatures()`
`protected java.lang.String` `getTypeArguments(boolean isInterface, boolean isWild)`
`java.lang.String` `getTypeParameters()`
`boolean` `hasFactoryInterfaceCreateMethod()`
`boolean` `hasFeatureMapCreateChildFeatures()`
`boolean` `hasGenericSuperTypes()`
`protected boolean` `hasModelContribution()`
`boolean` `hasOffsetCorrection()`
`boolean` `hasOnlyDefaultConstraints()`
`boolean` `hasTests()`
`boolean` `implementsAny(java.util.Collection<GenFeature> genFeatures)`
`void` `initialize(EClass eClass)`
`boolean` `isAbstract()`
`boolean` `isDocumentRoot()`
`boolean` `isDynamic()`
`boolean` `isEObject()`
`boolean` `isEObjectExtension()`
`boolean` `isESetField(GenFeature genFeature)`
`boolean` `isESetFlag(GenFeature genFeature)`
`boolean` `isExternalInterface()` This indicates that there is already an existing interface for this class or interface, so none will be generated.
`boolean` `isField(GenFeature genFeature)`
`boolean` `isFlag(GenFeature genFeature)`
`boolean` `isImage()`
`boolean` `isInterface()`
`boolean` `isJavaIOSerializable()`
`boolean` `isMapEntry()`
`protected boolean` `isMixed()`
`boolean` `isModelRoot()`
`boolean` `isProviderSingleton()`
`boolean` `needsRootExtendsInterfaceExtendsTag()`
`boolean` `needsRootImplementsInterfaceOperations()`
`boolean` `reconcile()`
`boolean` `reconcile(GenClass oldGenClassVersion)`
`protected void` `reconcileSettings(GenClass oldGenClassVersion)`
`void` `setDynamic(boolean newDynamic)`
`void` `setEcoreClass(EClass newEcoreClass)`
`void` `setImage(boolean newImage)`
`void` `setLabelFeature(GenFeature newLabelFeature)`
`void` `setProvider(GenProviderKind newProvider)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassifierImpl
`getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getEcoreModelElement, getFormattedName, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedParameterizedInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getSafeUncapName, getUncapName, isUncheckedCast`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, canGenerateSchema, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, createInputStream, createMonitor, createOutputStream, eObjectForURIFragmentSegment, escapeString, eURIFragmentSegment, exists, filterGenClasses, findGenClass, findGenClassifier, findGenDataType, findGenEnum, findGenFeature, findGenOperation, findGenPackage, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getCopyright, getDocumentation, getDocumentation, getEcoreType, getEffectiveComplianceLevel, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getExtendedMetaData, getGenAnnotation, getGenAnnotations, getGenModel, getImplClassName, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedType, getImportedType, getImportedType, getImportManager, getInstanceClass, getJavaLangTypes, getJavaReservedWords, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, isBlank, isEffectiveSuppressEMFTypes, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, parseName, reconcileGenAnnotations, safeName, setImportManager, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClass
`getUncapName`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier
`getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getFormattedName, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedParameterizedInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getSafeUncapName, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase
`canGenerateSchema, capName, format, gen, genEdit, genEditor, generate, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### PROVIDER_EDEFAULT

    protected static final GenProviderKind PROVIDER_EDEFAULT

  The default value of the '`Provider`' attribute.

  See Also:
    `getProvider()`

### provider

    protected GenProviderKind provider

  The cached value of the '`Provider`' attribute.

  See Also:
    `getProvider()`

### IMAGE_EDEFAULT

    protected static final boolean IMAGE_EDEFAULT

  The default value of the '`Image`' attribute.

  See Also:
    `isImage()`, Constant Field Values

### image

    protected boolean image

  The cached value of the '`Image`' attribute.

  See Also:
    `isImage()`

### DYNAMIC_EDEFAULT

    protected static final boolean DYNAMIC_EDEFAULT

  The default value of the '`Dynamic`' attribute.

  See Also:
    `isDynamic()`, Constant Field Values

### dynamic

    protected boolean dynamic

  The cached value of the '`Dynamic`' attribute.

  See Also:
    `isDynamic()`

### ecoreClass

    protected EClass ecoreClass

  The cached value of the '`Ecore Class`' reference.

  See Also:
    `getEcoreClass()`

### genFeatures

    protected EList<GenFeature> genFeatures

  The cached value of the '`Gen Features`' containment reference list.

  See Also:
    `getGenFeatures()`

### genOperations

    protected EList<GenOperation> genOperations

  The cached value of the '`Gen Operations`' containment reference list.

  See Also:
    `getGenOperations()`

### labelFeature

    protected GenFeature labelFeature

  The cached value of the '`Label Feature`' reference.

  See Also:
    `getLabelFeature()`

### INTRINSIC_CONSTRAINTS

    public static final java.util.List<java.lang.String> INTRINSIC_CONSTRAINTS

Constructor Detail

### GenClassImpl

    protected GenClassImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenClassifierImpl`

### getProvider

    public GenProviderKind getProvider()

  Specified by:
    `getProvider` in interface `GenClass`
  Returns:
    the value of the 'Provider' attribute.
  See Also:
    `GenProviderKind`, `GenClass.setProvider(GenProviderKind)`, `GenModelPackage.getGenClass_Provider()`

### isProviderSingleton

    public boolean isProviderSingleton()

  Specified by:
    `isProviderSingleton` in interface `GenClass`

### setProvider

    public void setProvider(GenProviderKind newProvider)

  Specified by:
    `setProvider` in interface `GenClass`
  Parameters:
    `newProvider` - the new value of the 'Provider' attribute.
  See Also:
    `GenProviderKind`, `GenClass.getProvider()`

### isImage

    public boolean isImage()

  Specified by:
    `isImage` in interface `GenClass`
  Returns:
    the value of the 'Image' attribute.
  See Also:
    `GenClass.setImage(boolean)`, `GenModelPackage.getGenClass_Image()`

### setImage

    public void setImage(boolean newImage)

  Specified by:
    `setImage` in interface `GenClass`
  Parameters:
    `newImage` - the new value of the 'Image' attribute.
  See Also:
    `GenClass.isImage()`

### isDynamic

    public boolean isDynamic()

  Specified by:
    `isDynamic` in interface `GenClass`
  Returns:
    the value of the 'Dynamic' attribute.
  See Also:
    `GenClass.setDynamic(boolean)`, `GenModelPackage.getGenClass_Dynamic()`

### setDynamic

    public void setDynamic(boolean newDynamic)

  Specified by:
    `setDynamic` in interface `GenClass`
  Parameters:
    `newDynamic` - the new value of the 'Dynamic' attribute.
  See Also:
    `GenClass.isDynamic()`

### getEcoreClass

    public EClass getEcoreClass()

  Specified by:
    `getEcoreClass` in interface `GenClass`
  Returns:
    the value of the 'Ecore Class' reference.
  See Also:
    `GenClass.setEcoreClass(EClass)`, `GenModelPackage.getGenClass_EcoreClass()`

### basicGetEcoreClass

    public EClass basicGetEcoreClass()

### setEcoreClass

    public void setEcoreClass(EClass newEcoreClass)

  Specified by:
    `setEcoreClass` in interface `GenClass`
  Parameters:
    `newEcoreClass` - the new value of the 'Ecore Class' reference.
  See Also:
    `GenClass.getEcoreClass()`

### getGenFeatures

    public EList<GenFeature> getGenFeatures()

  Specified by:
    `getGenFeatures` in interface `GenClass`
  Returns:
    the value of the 'Gen Features' containment reference list.
  See Also:
    `GenModelPackage.getGenClass_GenFeatures()`, `GenFeature.getGenClass()`

### getGenOperations

    public EList<GenOperation> getGenOperations()

  Specified by:
    `getGenOperations` in interface `GenClass`
  Returns:
    the value of the 'Gen Operations' containment reference list.
  See Also:
    `GenModelPackage.getGenClass_GenOperations()`, `GenOperation.getGenClass()`

### getEcoreClassifier

    public EClassifier getEcoreClassifier()

  Specified by:
    `getEcoreClassifier` in interface `GenClassifier`
  Specified by:
    `getEcoreClassifier` in class `GenClassifierImpl`

### getImportedMetaType

    public java.lang.String getImportedMetaType()

  Specified by:
    `getImportedMetaType` in interface `GenClassifier`
  Specified by:
    `getImportedMetaType` in class `GenClassifierImpl`

### getInterfaceName

    public java.lang.String getInterfaceName()

  Description copied from interface: `GenClass`
  This should only be called when there is actually an interface being generated (i.e. when, for certain, this is not an external interface). Otherwise, getImportedInterfaceName() should be used.

  Specified by:
    `getInterfaceName` in interface `GenClass`

### getQualifiedInterfaceName

    public java.lang.String getQualifiedInterfaceName()

  Specified by:
    `getQualifiedInterfaceName` in interface `GenClass`

### getInternalQualifiedInterfaceName

    protected java.lang.String getInternalQualifiedInterfaceName()

### getInternalQualifiedInterfaceName

    protected java.lang.String getInternalQualifiedInterfaceName(boolean includeTemplateArguments)

### getRawImportedInstanceClassName

    public java.lang.String getRawImportedInstanceClassName()

  Specified by:
    `getRawImportedInstanceClassName` in interface `GenClassifier`

### getRawInstanceClassName

    public java.lang.String getRawInstanceClassName()

  Specified by:
    `getRawInstanceClassName` in interface `GenClassifier`

### getImportedInstanceClassName

    public java.lang.String getImportedInstanceClassName()

  Specified by:
    `getImportedInstanceClassName` in interface `GenClassifier`

### getImportedInterfaceName

    public java.lang.String getImportedInterfaceName()

  Specified by:
    `getImportedInterfaceName` in interface `GenClass`

### getRawImportedInterfaceName

    public java.lang.String getRawImportedInterfaceName()

  Specified by:
    `getRawImportedInterfaceName` in interface `GenClass`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `GenClass`

### getQualifiedClassName

    public java.lang.String getQualifiedClassName()

  Specified by:
    `getQualifiedClassName` in interface `GenClass`

### getImportedClassName

    public java.lang.String getImportedClassName()

  Specified by:
    `getImportedClassName` in interface `GenClass`

### getBaseGenClasses

    public java.util.List<GenClass> getBaseGenClasses()

  Specified by:
    `getBaseGenClasses` in interface `GenClass`

### getAllBaseGenClasses

    public java.util.List<GenClass> getAllBaseGenClasses()

  Specified by:
    `getAllBaseGenClasses` in interface `GenClass`

### getSwitchGenClasses

    public java.util.List<GenClass> getSwitchGenClasses()

  Description copied from interface: `GenClass`
  Like getAllBaseGenClasses(), this returns the GenClasses for all of the supertypes, but the result is ordered by a breadth-first search, making it appropriate for use in the switch class.

  Specified by:
    `getSwitchGenClasses` in interface `GenClass`

### getBaseGenClass

    public GenClass getBaseGenClass()

  Description copied from interface: `GenClass`
  This returns the GenClass for the first immediate supertype.

  Specified by:
    `getBaseGenClass` in interface `GenClass`

### getClassExtendsGenClass

    public GenClass getClassExtendsGenClass()

  Description copied from interface: `GenClass`
  This walks up the chain of GenClasses defined by getBaseGenClass() and returns the first that does not represent an abstract class or an interface; that is, the instantiable class that the implementation class should extended.

  Specified by:
    `getClassExtendsGenClass` in interface `GenClass`

### getClassExtends

    public java.lang.String getClassExtends()

  Specified by:
    `getClassExtends` in interface `GenClass`

### needsRootImplementsInterfaceOperations

    public boolean needsRootImplementsInterfaceOperations()

### getClassImplementsList

    public java.util.List<java.lang.String> getClassImplementsList()

### getQualifiedClassImplementsList

    protected java.util.List<java.lang.String> getQualifiedClassImplementsList()

### getClassImplements

    public java.lang.String getClassImplements()

  Specified by:
    `getClassImplements` in interface `GenClass`

### needsRootExtendsInterfaceExtendsTag

    public boolean needsRootExtendsInterfaceExtendsTag()

  Specified by:
    `needsRootExtendsInterfaceExtendsTag` in interface `GenClass`

### getInterfaceExtendsList

    public java.util.List<java.lang.String> getInterfaceExtendsList()

### getQualifiedInterfaceExtendsList

    public java.util.List<java.lang.String> getQualifiedInterfaceExtendsList()

### getInterfaceExtends

    public java.lang.String getInterfaceExtends()

  Specified by:
    `getInterfaceExtends` in interface `GenClass`

### hasGenericSuperTypes

    public boolean hasGenericSuperTypes()

  Specified by:
    `hasGenericSuperTypes` in interface `GenClass`

### getTypeParameters

    public java.lang.String getTypeParameters()

  Specified by:
    `getTypeParameters` in interface `GenClass`

### getClassTypeArguments

    public java.lang.String getClassTypeArguments()

  Specified by:
    `getClassTypeArguments` in interface `GenClass`

### getInterfaceTypeArguments

    public java.lang.String getInterfaceTypeArguments()

  Specified by:
    `getInterfaceTypeArguments` in interface `GenClass`

### getImportedWildcardInstanceClassName

    public java.lang.String getImportedWildcardInstanceClassName()

  Specified by:
    `getImportedWildcardInstanceClassName` in interface `GenClassifier`
  Overrides:
    `getImportedWildcardInstanceClassName` in class `GenClassifierImpl`

### getInterfaceWildTypeArguments

    public java.lang.String getInterfaceWildTypeArguments()

  Specified by:
    `getInterfaceWildTypeArguments` in interface `GenClass`

### getTypeArguments

    protected java.lang.String getTypeArguments(boolean isInterface,
                                                boolean isWild)

### getAllGenFeatures

    public java.util.List<GenFeature> getAllGenFeatures()

  Specified by:
    `getAllGenFeatures` in interface `GenClass`

### getInheritedGenFeatures

    public java.util.List<GenFeature> getInheritedGenFeatures()

  Specified by:
    `getInheritedGenFeatures` in interface `GenClass`

### getAllGenOperations

    public java.util.List<GenOperation> getAllGenOperations()

  Specified by:
    `getAllGenOperations` in interface `GenClass`

### getFeatureID

    public java.lang.String getFeatureID(GenFeature genFeature)

  Specified by:
    `getFeatureID` in interface `GenClass`

### getQualifiedFeatureID

    public java.lang.String getQualifiedFeatureID(GenFeature genFeature)

  Specified by:
    `getQualifiedFeatureID` in interface `GenClass`

### getOperationID

    public java.lang.String getOperationID(GenOperation genOperation)

  Specified by:
    `getOperationID` in interface `GenClass`

### getFeatureValue

    public java.lang.String getFeatureValue(GenFeature genFeature)

  Specified by:
    `getFeatureValue` in interface `GenClass`

### getLocalFeatureIndex

    public java.lang.String getLocalFeatureIndex(GenFeature genFeature)

  Specified by:
    `getLocalFeatureIndex` in interface `GenClass`

### getFlagsField

    public java.lang.String getFlagsField(GenFeature genFeature)

  Specified by:
    `getFlagsField` in interface `GenClass`

### getFlagIndex

    public int getFlagIndex(GenFeature genFeature)

  Specified by:
    `getFlagIndex` in interface `GenClass`

### getESetFlagsField

    public java.lang.String getESetFlagsField(GenFeature genFeature)

  Specified by:
    `getESetFlagsField` in interface `GenClass`

### getESetFlagIndex

    public int getESetFlagIndex(GenFeature genFeature)

  Specified by:
    `getESetFlagIndex` in interface `GenClass`

### getFeatureCountID

    public java.lang.String getFeatureCountID()

  Specified by:
    `getFeatureCountID` in interface `GenClass`

### getQualifiedFeatureCountID

    public java.lang.String getQualifiedFeatureCountID()

  Specified by:
    `getQualifiedFeatureCountID` in interface `GenClass`

### getFeatureCountValue

    public java.lang.String getFeatureCountValue()

  Specified by:
    `getFeatureCountValue` in interface `GenClass`

### getFeatureCount

    public int getFeatureCount()

  Specified by:
    `getFeatureCount` in interface `GenClass`

### isEObject

    public boolean isEObject()

  Specified by:
    `isEObject` in interface `GenClass`

### isEObjectExtension

    public boolean isEObjectExtension()

  Specified by:
    `isEObjectExtension` in interface `GenClass`

### getCastFromEObject

    public java.lang.String getCastFromEObject()

  Specified by:
    `getCastFromEObject` in interface `GenClass`

### isAbstract

    public boolean isAbstract()

  Specified by:
    `isAbstract` in interface `GenClass`

### getAbstractFlag

    public java.lang.String getAbstractFlag()

  Specified by:
    `getAbstractFlag` in interface `GenClass`

### isInterface

    public boolean isInterface()

  Specified by:
    `isInterface` in interface `GenClass`

### getInterfaceFlag

    public java.lang.String getInterfaceFlag()

  Specified by:
    `getInterfaceFlag` in interface `GenClass`

### getGeneratedInstanceClassFlag

    public java.lang.String getGeneratedInstanceClassFlag()

  Specified by:
    `getGeneratedInstanceClassFlag` in interface `GenClassifier`

### isExternalInterface

    public boolean isExternalInterface()

  Description copied from interface: `GenClass`
  This indicates that there is already an existing interface for this class or interface, so none will be generated. Any other generated that wishes to refer to its interface should use the value from getQualifiedInterfaceName() or getImportedInterfaceName().

  Specified by:
    `isExternalInterface` in interface `GenClass`

### isMapEntry

    public boolean isMapEntry()

  Specified by:
    `isMapEntry` in interface `GenClass`

### getMapEntryKeyFeature

    public GenFeature getMapEntryKeyFeature()

  Specified by:
    `getMapEntryKeyFeature` in interface `GenClass`

### getMapEntryValueFeature

    public GenFeature getMapEntryValueFeature()

  Specified by:
    `getMapEntryValueFeature` in interface `GenClass`

### getImplementedGenClasses

    public java.util.List<GenClass> getImplementedGenClasses()

  Specified by:
    `getImplementedGenClasses` in interface `GenClass`

### getImplementedGenFeatures

    public java.util.List<GenFeature> getImplementedGenFeatures()

  Specified by:
    `getImplementedGenFeatures` in interface `GenClass`

### getImplementingGenModel

    public GenModel getImplementingGenModel(GenFeature genFeature)

  Specified by:
    `getImplementingGenModel` in interface `GenClass`

### getImplementedGenOperations

    public java.util.List<GenOperation> getImplementedGenOperations()

  Specified by:
    `getImplementedGenOperations` in interface `GenClass`

### getExtendedGenClasses

    public java.util.List<GenClass> getExtendedGenClasses()

  Specified by:
    `getExtendedGenClasses` in interface `GenClass`

### getExtendedGenFeatures

    public java.util.List<GenFeature> getExtendedGenFeatures()

  Specified by:
    `getExtendedGenFeatures` in interface `GenClass`

### getExtendedGenOperations

    public java.util.List<GenOperation> getExtendedGenOperations()

  Specified by:
    `getExtendedGenOperations` in interface `GenClass`

### getDeclaredGenFeatures

    public java.util.List<GenFeature> getDeclaredGenFeatures()

  Specified by:
    `getDeclaredGenFeatures` in interface `GenClass`

### getDeclaredGenOperations

    public java.util.List<GenOperation> getDeclaredGenOperations()

  Specified by:
    `getDeclaredGenOperations` in interface `GenClass`

### getFlagGenFeatures

    public java.util.List<GenFeature> getFlagGenFeatures()

  Specified by:
    `getFlagGenFeatures` in interface `GenClass`

### getFlagGenFeatures

    public java.util.List<GenFeature> getFlagGenFeatures(java.lang.String staticDefaultValue)

  Specified by:
    `getFlagGenFeatures` in interface `GenClass`

### getEGetGenFeatures

    public java.util.List<GenFeature> getEGetGenFeatures()

  Specified by:
    `getEGetGenFeatures` in interface `GenClass`

### getEIsSetGenFeatures

    public java.util.List<GenFeature> getEIsSetGenFeatures()

  Specified by:
    `getEIsSetGenFeatures` in interface `GenClass`

### getESetGenFeatures

    public java.util.List<GenFeature> getESetGenFeatures()

  Specified by:
    `getESetGenFeatures` in interface `GenClass`

### getEUnsetGenFeatures

    public java.util.List<GenFeature> getEUnsetGenFeatures()

  Specified by:
    `getEUnsetGenFeatures` in interface `GenClass`

### getEInverseAddGenFeatures

    public java.util.List<GenFeature> getEInverseAddGenFeatures()

  Specified by:
    `getEInverseAddGenFeatures` in interface `GenClass`

### getEInverseRemoveGenFeatures

    public java.util.List<GenFeature> getEInverseRemoveGenFeatures()

  Specified by:
    `getEInverseRemoveGenFeatures` in interface `GenClass`

### getEBasicRemoveFromContainerGenFeatures

    public java.util.List<GenFeature> getEBasicRemoveFromContainerGenFeatures()

  Specified by:
    `getEBasicRemoveFromContainerGenFeatures` in interface `GenClass`

### getToStringGenFeatures

    public java.util.List<GenFeature> getToStringGenFeatures()

  Specified by:
    `getToStringGenFeatures` in interface `GenClass`

### getMixinGenClasses

    public java.util.List<GenClass> getMixinGenClasses()

  Specified by:
    `getMixinGenClasses` in interface `GenClass`

### getMixinGenFeatures

    public java.util.List<GenFeature> getMixinGenFeatures()

  Specified by:
    `getMixinGenFeatures` in interface `GenClass`

### getMixinGenOperations

    public java.util.List<GenOperation> getMixinGenOperations()

  Specified by:
    `getMixinGenOperations` in interface `GenClass`

### initialize

    public void initialize(EClass eClass)

  Specified by:
    `initialize` in interface `GenClass`

### hasModelContribution

    protected boolean hasModelContribution()

  Overrides:
    `hasModelContribution` in class `GenBaseImpl`

### generate

    @Deprecated
    public void generate(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generate` in interface `GenBase`
  Overrides:
    `generate` in class `GenBaseImpl`

### getModelInfo

    public java.lang.String getModelInfo()

  Specified by:
    `getModelInfo` in interface `GenClass`
  Overrides:
    `getModelInfo` in class `GenBaseImpl`

### getProviderClassName

    public java.lang.String getProviderClassName()

  Specified by:
    `getProviderClassName` in interface `GenClass`

### getQualifiedProviderClassName

    public java.lang.String getQualifiedProviderClassName()

  Specified by:
    `getQualifiedProviderClassName` in interface `GenClass`

### getImportedProviderClassName

    public java.lang.String getImportedProviderClassName()

  Specified by:
    `getImportedProviderClassName` in interface `GenClass`

### getItemIconFileName

    public java.lang.String getItemIconFileName()

  Specified by:
    `getItemIconFileName` in interface `GenClass`

### getCreateChildIconFileName

    public java.lang.String getCreateChildIconFileName(GenFeature feature,
                                                       GenClass childClass)

  Specified by:
    `getCreateChildIconFileName` in interface `GenClass`

### getProviderExtendsGenClass

    protected GenClass getProviderExtendsGenClass()

### getProviderBaseClassName

    public java.lang.String getProviderBaseClassName()

  Specified by:
    `getProviderBaseClassName` in interface `GenClass`

### getProviderImplementedGenClasses

    public java.util.List<GenClass> getProviderImplementedGenClasses()

  Specified by:
    `getProviderImplementedGenClasses` in interface `GenClass`

### getProviderImplementedGenFeatures

    protected java.util.List<GenFeature> getProviderImplementedGenFeatures()

### getLabelFeatureCandidates

    public java.util.List<GenFeature> getLabelFeatureCandidates()

  Specified by:
    `getLabelFeatureCandidates` in interface `GenClass`

### getPropertyFeatures

    public java.util.List<GenFeature> getPropertyFeatures()

  Specified by:
    `getPropertyFeatures` in interface `GenClass`

### getNotifyFeatures

    public java.util.List<GenFeature> getNotifyFeatures()

  Specified by:
    `getNotifyFeatures` in interface `GenClass`

### getLabelNotifyFeatures

    public java.util.List<GenFeature> getLabelNotifyFeatures()

  Specified by:
    `getLabelNotifyFeatures` in interface `GenClass`

### getContentNotifyFeatures

    public java.util.List<GenFeature> getContentNotifyFeatures()

  Specified by:
    `getContentNotifyFeatures` in interface `GenClass`

### getLabelAndContentNotifyFeatures

    public java.util.List<GenFeature> getLabelAndContentNotifyFeatures()

  Specified by:
    `getLabelAndContentNotifyFeatures` in interface `GenClass`

### getChildrenFeatures

    public java.util.List<GenFeature> getChildrenFeatures()

  Specified by:
    `getChildrenFeatures` in interface `GenClass`

### getAllChildrenFeatures

    public java.util.List<GenFeature> getAllChildrenFeatures()

  Specified by:
    `getAllChildrenFeatures` in interface `GenClass`

### getCreateChildFeatures

    public java.util.List<GenFeature> getCreateChildFeatures()

  Specified by:
    `getCreateChildFeatures` in interface `GenClass`

### getAllCreateChildFeatures

    public java.util.List<GenFeature> getAllCreateChildFeatures()

  Specified by:
    `getAllCreateChildFeatures` in interface `GenClass`

### getAllCreateChildFeaturesIncludingDelegation

    public java.util.List<GenFeature> getAllCreateChildFeaturesIncludingDelegation()

  Specified by:
    `getAllCreateChildFeaturesIncludingDelegation` in interface `GenClass`

### getCrossPackageCreateChildFeatures

    public java.util.List<GenFeature> getCrossPackageCreateChildFeatures()

  Specified by:
    `getCrossPackageCreateChildFeatures` in interface `GenClass`

### getSharedClassCreateChildFeatures

    public java.util.List<GenFeature> getSharedClassCreateChildFeatures()

  Specified by:
    `getSharedClassCreateChildFeatures` in interface `GenClass`

### hasFeatureMapCreateChildFeatures

    public boolean hasFeatureMapCreateChildFeatures()

  Specified by:
    `hasFeatureMapCreateChildFeatures` in interface `GenClass`

### getChildrenClasses

    public java.util.List<GenClass> getChildrenClasses(GenFeature genFeature)

  Specified by:
    `getChildrenClasses` in interface `GenClass`

### getCrossPackageChildrenClasses

    public java.util.List<GenClass> getCrossPackageChildrenClasses(GenFeature genFeature)

  Specified by:
    `getCrossPackageChildrenClasses` in interface `GenClass`

### getLabelFeatureGen

    public GenFeature getLabelFeatureGen()

### getLabelFeature

    public GenFeature getLabelFeature()

  Description copied from interface: `GenClass`
  Returns the value of the 'Label Feature' reference.

  If the meaning of the 'Label Feature' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getLabelFeature` in interface `GenClass`
  Returns:
    the value of the 'Label Feature' reference.
  See Also:
    `GenClass.setLabelFeature(GenFeature)`, `GenModelPackage.getGenClass_LabelFeature()`

### basicGetLabelFeature

    public GenFeature basicGetLabelFeature()

### setLabelFeature

    public void setLabelFeature(GenFeature newLabelFeature)

  Specified by:
    `setLabelFeature` in interface `GenClass`
  Parameters:
    `newLabelFeature` - the new value of the 'Label Feature' reference.
  See Also:
    `GenClass.getLabelFeature()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenBaseImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenClassifierImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenClassifierImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenClassifierImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenClassifierImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenClassifierImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

### getItemProviderAdapterFactoryClassName

    public java.lang.String getItemProviderAdapterFactoryClassName()

  Specified by:
    `getItemProviderAdapterFactoryClassName` in interface `GenClass`

### getTestCaseClassName

    public java.lang.String getTestCaseClassName()

  Specified by:
    `getTestCaseClassName` in interface `GenClass`

### getQualifiedTestCaseClassName

    public java.lang.String getQualifiedTestCaseClassName()

  Specified by:
    `getQualifiedTestCaseClassName` in interface `GenClass`

### getImportedTestCaseClassName

    public java.lang.String getImportedTestCaseClassName()

  Specified by:
    `getImportedTestCaseClassName` in interface `GenClass`

### canGenerate

    public boolean canGenerate()

  Specified by:
    `canGenerate` in interface `GenBase`
  Overrides:
    `canGenerate` in class `GenBaseImpl`

### canGenerateEdit

    public boolean canGenerateEdit()

  Specified by:
    `canGenerateEdit` in interface `GenBase`
  Overrides:
    `canGenerateEdit` in class `GenBaseImpl`

### canGenerateEditor

    public boolean canGenerateEditor()

  Specified by:
    `canGenerateEditor` in interface `GenBase`
  Overrides:
    `canGenerateEditor` in class `GenBaseImpl`

### generateEdit

    @Deprecated
    public void generateEdit(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateEdit` in interface `GenBase`
  Overrides:
    `generateEdit` in class `GenBaseImpl`

### hasTests

    public boolean hasTests()

  Specified by:
    `hasTests` in interface `GenClass`

### canGenerateTests

    public boolean canGenerateTests()

  Specified by:
    `canGenerateTests` in interface `GenBase`
  Overrides:
    `canGenerateTests` in class `GenBaseImpl`

### generateTests

    @Deprecated
    public void generateTests(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateTests` in interface `GenBase`
  Overrides:
    `generateTests` in class `GenBaseImpl`

### reconcile

    public boolean reconcile(GenClass oldGenClassVersion)

  Specified by:
    `reconcile` in interface `GenClass`

### reconcileSettings

    protected void reconcileSettings(GenClass oldGenClassVersion)

### reconcile

    public boolean reconcile()

  Specified by:
    `reconcile` in interface `GenBase`

### getGenConstraints

    public java.util.List<java.lang.String> getGenConstraints()

  Specified by:
    `getGenConstraints` in interface `GenClassifier`
  Overrides:
    `getGenConstraints` in class `GenClassifierImpl`

### getAllGenConstraints

    public java.util.List<java.lang.String> getAllGenConstraints()

  Specified by:
    `getAllGenConstraints` in interface `GenClassifier`
  Overrides:
    `getAllGenConstraints` in class `GenClassifierImpl`

### getConstraintImplementor

    public GenClassifier getConstraintImplementor(java.lang.String constraint)

  Specified by:
    `getConstraintImplementor` in interface `GenClassifier`
  Overrides:
    `getConstraintImplementor` in class `GenClassifierImpl`

### getConstraintDelegate

    public GenClassifier getConstraintDelegate(java.lang.String constraint)

  Specified by:
    `getConstraintDelegate` in interface `GenClassifier`

### hasOnlyDefaultConstraints

    public boolean hasOnlyDefaultConstraints()

  Specified by:
    `hasOnlyDefaultConstraints` in interface `GenClassifier`
  Overrides:
    `hasOnlyDefaultConstraints` in class `GenClassifierImpl`

### getInvariantOperations

    public java.util.List<GenOperation> getInvariantOperations()

  Specified by:
    `getInvariantOperations` in interface `GenClass`

### getInvariantOperation

    public GenOperation getInvariantOperation(java.lang.String constraint)

  Specified by:
    `getInvariantOperation` in interface `GenClass`

### isDocumentRoot

    public boolean isDocumentRoot()

  Specified by:
    `isDocumentRoot` in interface `GenClass`

### isMixed

    protected boolean isMixed()

### getMixedGenFeature

    public GenFeature getMixedGenFeature()

  Specified by:
    `getMixedGenFeature` in interface `GenClass`

### getListConstructor

    public java.lang.String getListConstructor(GenFeature genFeature)

  Specified by:
    `getListConstructor` in interface `GenClass`

### isModelRoot

    public boolean isModelRoot()

  Specified by:
    `isModelRoot` in interface `GenClass`

### getDeclaredFieldGenFeatures

    public java.util.List<GenFeature> getDeclaredFieldGenFeatures()

  Specified by:
    `getDeclaredFieldGenFeatures` in interface `GenClass`

### isFlag

    public boolean isFlag(GenFeature genFeature)

  Specified by:
    `isFlag` in interface `GenClass`

### isESetFlag

    public boolean isESetFlag(GenFeature genFeature)

  Specified by:
    `isESetFlag` in interface `GenClass`

### isField

    public boolean isField(GenFeature genFeature)

  Specified by:
    `isField` in interface `GenClass`

### isESetField

    public boolean isESetField(GenFeature genFeature)

  Specified by:
    `isESetField` in interface `GenClass`

### implementsAny

    public boolean implementsAny(java.util.Collection<GenFeature> genFeatures)

  Specified by:
    `implementsAny` in interface `GenClass`

### getNonPrimitiveFeatureCount

    protected int getNonPrimitiveFeatureCount()

### getEVirtualValuesField

    public java.lang.String getEVirtualValuesField()

  Specified by:
    `getEVirtualValuesField` in interface `GenClass`

### getEVirtualIndexBitFields

    public java.util.List<java.lang.String> getEVirtualIndexBitFields(java.util.List<java.lang.String> eVirtualIndexBitFields)

  Specified by:
    `getEVirtualIndexBitFields` in interface `GenClass`

### getAllEVirtualIndexBitFields

    public java.util.List<java.lang.String> getAllEVirtualIndexBitFields(java.util.List<java.lang.String> allEVirtualIndexBitFields)

  Specified by:
    `getAllEVirtualIndexBitFields` in interface `GenClass`

### isJavaIOSerializable

    public boolean isJavaIOSerializable()

  Specified by:
    `isJavaIOSerializable` in interface `GenClass`

### hasFactoryInterfaceCreateMethod

    public boolean hasFactoryInterfaceCreateMethod()

  Specified by:
    `hasFactoryInterfaceCreateMethod` in interface `GenClass`

### hasOffsetCorrection

    public boolean hasOffsetCorrection()

  Specified by:
    `hasOffsetCorrection` in interface `GenClass`

### getOffsetCorrectionField

    public java.lang.String getOffsetCorrectionField(GenFeature genFeature)

  Specified by:
    `getOffsetCorrectionField` in interface `GenClass`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.